Skip to main content
PUT
/
v1
/
portal-content
/
{contentId}
/
translations
/
{isoCode}
curl -X PUT \
  'https://api.appcharge.com/v1/portal-content/507f1f77bcf86cd799439011/translations/fr-FR' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>' \
  -d '{
    "title": "Bienvenue dans notre jeu",
    "subTitle": "Tout ce que vous devez savoir",
    "bodyText": "Ceci est le contenu principal de l'\''article en français...",
    "headerImage": "https://cdn.example.com/images/header-fr.jpg",
    "thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
    "labels": ["tutoriel", "débutant"]
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "title": "Welcome to Our Game",
  "subTitle": "Everything you need to know",
  "bodyText": "This is the main content body with detailed information...",
  "headerImage": "https://cdn.example.com/images/header.jpg",
  "thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
  "labels": ["tutorial", "beginner"],
  "state": "visible",
  "contentType": "article",
  "slug": "welcome-to-our-game",
  "visibility": "public",
  "tag": "spring2025",
  "createdAt": "2025-10-15T10:30:00.000Z",
  "updatedAt": "2025-10-20T14:45:00.000Z",
  "translations": [
    {
      "isoCode": "fr-FR",
      "title": "Bienvenue dans notre jeu",
      "subTitle": "Tout ce que vous devez savoir",
      "bodyText": "Ceci est le contenu principal de l'article en français...",
      "headerImage": "https://cdn.example.com/images/header-fr.jpg",
      "thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
      "labels": ["tutoriel", "débutant"]
    }
  ],
  "pages": [
    {
      "id": "6850249eb5bd5c59b9bab7e2",
      "pageName": "FAQs"
    }
  ]
}
curl -X PUT \
  'https://api.appcharge.com/v1/portal-content/507f1f77bcf86cd799439011/translations/fr-FR' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>' \
  -d '{
    "title": "Bienvenue dans notre jeu",
    "subTitle": "Tout ce que vous devez savoir",
    "bodyText": "Ceci est le contenu principal de l'\''article en français...",
    "headerImage": "https://cdn.example.com/images/header-fr.jpg",
    "thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
    "labels": ["tutoriel", "débutant"]
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "title": "Welcome to Our Game",
  "subTitle": "Everything you need to know",
  "bodyText": "This is the main content body with detailed information...",
  "headerImage": "https://cdn.example.com/images/header.jpg",
  "thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
  "labels": ["tutorial", "beginner"],
  "state": "visible",
  "contentType": "article",
  "slug": "welcome-to-our-game",
  "visibility": "public",
  "tag": "spring2025",
  "createdAt": "2025-10-15T10:30:00.000Z",
  "updatedAt": "2025-10-20T14:45:00.000Z",
  "translations": [
    {
      "isoCode": "fr-FR",
      "title": "Bienvenue dans notre jeu",
      "subTitle": "Tout ce que vous devez savoir",
      "bodyText": "Ceci est le contenu principal de l'article en français...",
      "headerImage": "https://cdn.example.com/images/header-fr.jpg",
      "thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
      "labels": ["tutoriel", "débutant"]
    }
  ],
  "pages": [
    {
      "id": "6850249eb5bd5c59b9bab7e2",
      "pageName": "FAQs"
    }
  ]
}

Headers

x-publisher-token
string
required

Publisher token.

Path Parameters

contentId
string
required

Content ID.

isoCode
string
required

The locale code. Both ISO-639-1 language code and ISO-3166-1 alpha-2 country code formats are supported.

Body

application/json
title
string
required

Translated title.

Example:

"Bienvenue dans notre jeu"

subTitle
string
required

Translated subtitle.

Example:

"Tout ce que vous devez savoir"

bodyText
string
required

Translated body text.

Example:

"Ceci est le contenu principal de l'article en français..."

headerImage
string
required

Translated header image URL. Can be an external link or the URL of an image from the Assets Library.

Example:

"https://cdn.example.com/images/header-fr.jpg"

thumbnailImage
string
required

Translated thumbnail image URL. Can be an external link or the URL of an image from the Assets Library.

Example:

"https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg"

labels
string[]
required

Translated labels.

Example:
["tutoriel", "débutant"]

Response

Translation upserted successfully. Returns the full updated content item.

id
string

Content ID.

Example:

"507f1f77bcf86cd799439011"

title
string

Content title.

Example:

"Welcome to Our Game"

subTitle
string

Content description.

Example:

"Everything you need to know"

bodyText
string

Content body text.

Example:

"This is the main content body with detailed information..."

headerImage
string

Content header image URL.

Example:

"https://cdn.example.com/images/header.jpg"

thumbnailImage
string

Content thumbnail image URL.

Example:

"https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg"

labels
string[]

List of labels associated with the content.

Example:
["tutorial", "beginner"]
state
enum<string>
default:hidden

Current state of the content.

Available options:
visible,
hidden,
scheduled
Example:

"hidden"

contentType
enum<string>

Content type.

Available options:
article,
news
Example:

"article"

publishDate
string<date-time>

Content publish date. Use for scheduling content.

Example:

"2025-10-20T00:00:00.000Z"

slug
string

Content slug. If not provided, this value is auto-generated.

Example:

"welcome-to-our-game"

visibility
enum<string>
default:public

Content visibility level.

Available options:
public,
private
Example:

"public"

tag
string

Internal tag for organizing your content. Not visible to players.

Example:

"spring2025"

createdAt
string<date-time>

Created date.

Example:

"2025-10-15T10:30:00.000Z"

updatedAt
string<date-time>

Updated date.

Example:

"2025-10-19T14:20:00.000Z"

translations
object[]

List of translations for the content item. Each object represents a locale and its translations.

pages
object[]

List of pages where this content appears.

Example:
[
{
"id": "68b0249eb5bd5c59b9bab7e2",
"pageName": "FAQs"
},
{
"id": "692eb70d0293e07ab4895518",
"pageName": "Events"
}
]